WaMCP
Api referenceflows

Publish Flow

Publish a draft flow (irreversible — published flows can only be deprecated).

POST
/api/flows/{flow_id}/publish

Publish a draft flow (irreversible — published flows can only be deprecated).

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

flow_id*Flow Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

client_id*Client Id

The UUID of the WhatsApp client

Response Body

application/json

application/json

curl -X POST "https://example.com/api/flows/string/publish" \  -H "Content-Type: application/json" \  -d '{    "client_id": "string"  }'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}